import { MyButton } from "@components/MyButton";
import { MyIconInput } from "@components/MyInput";
import { MyScreenContainer } from "@components/MyScreenContainer";
import { MyTitle } from "@components/MyTitle";
import { RootScreenNavigationProp } from "@navigation/navigation";
import { ContentContainer, navigateToHome } from "@navigation/registration/registration";
import { useNavigation } from "@react-navigation/native";
import { RootState } from "@redux/store";
import { useState } from "react";
import { View } from "react-native";
import { useSelector } from "react-redux";

export function Login() {
    const lang = useSelector(
      (state: RootState) => state.appVariables.lang.registration,
    );
    const navigation = useNavigation<RootScreenNavigationProp>();
  
    const [username, setUsername] = useState('');
    const [password, setPassword] = useState('');
  
    const loginEnabled = username.length > 0 && password.length > 0;
  
    return (
      <MyScreenContainer
        style={{
          flexDirection: 'column',
        }}>
        <ContentContainer>
          <MyTitle text={lang.login.title} />
  
          <View style={{gap: 12}}>
            <MyIconInput
              text={lang.login.inputPhoneNumberOrAccountName}
              iconName="person"
              value={username}
              onChangeText={text => setUsername(text)}
            />
            <MyIconInput
              text={lang.login.inputPassword}
              iconName="lock"
              secureTextEntry
              value={password}
              onChangeText={text => setPassword(text)}
            />
  
            <MyButton
              type="primary"
              text={lang.buttonLogin}
              style={{marginBottom: 20}}
              onPress={() => navigateToHome(navigation)}
              disabled={!loginEnabled}
            />
          </View>
        </ContentContainer>
      </MyScreenContainer>
    );
  }